Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-89656

Warning about not tread-safe setter in QQuickWebEngineProfile::setRequestInterceptor

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Not Evaluated
    • Resolution: Fixed
    • Affects Version/s: 5.13, 5.14, 5.15.2
    • Fix Version/s: 6.0.0 RC
    • Component/s: Documentation, WebEngine
    • Labels:
      None
    • Platform/s:
      All
    • Commits:
      8f77aa42d2b5b67116a095c41040003265c820c7

      Description

      src/webengine/api/qquickwebengineprofile.cpp

      "Use of deprecated not tread-safe setter, use setUrlRequestInterceptor instead."

      Annoying these non tread-safe setters aren't they

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            qt_webengine_team Qt WebEngine Team
            Reporter:
            bibr Andreas Aardal Hanssen
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes